# Requests ## LIST REQUEST - [GET /api/v1/requests](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/listrequest.md): Retrieves the list of requests stored. Path parameters are only necessary if an explicit filter is wanted. ## CREATE REQUEST - [POST /api/v1/requests](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/createrequest.md): Creates a new request for digital certificate issuance. ⚠ Each certificate profile has its own set of fields. Please check the list of fields in the Certificate Profiles section. ## GET REQUEST - [GET /api/v1/requests/{id}](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/getrequest.md): Returns full information about a request. ## UPDATE REQUEST - [PUT /api/v1/requests/{id}](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/updaterequest.md): Updates information about a request. ## CANCEL REQUEST - [DELETE /api/v1/requests/{id}/cancel](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/deleterequest.md): Change the request status to CANCELLED. Requests can be cancelled only if the digital certificate is not issued yet. ## VALIDATE REQUEST - [GET /api/v1/requests/{id}/validate](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/validaterequest.md): Validate the request fields. ## GENERATE RAO DECLARATION - [POST /api/v1/requests/{id}/generates_tbs_receipt](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/postrequest.md): Generates a declaration related to a request that must be signed by a RAO. The receipt is signed in the Approve Request call. ## GENERATE CONTRACT - [POST /api/v1/requests/{id}/generate_document](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/generaterquest.md): Generates a contract associated to a request that must be signed by a RAO. The contract is signed in the approve request call. ## GENERATE CONTRACT - [POST /api/v1/requests/{id}/pl_upload_document](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/uploaddocument.md): Upload the required documentation for certificate issuance. ## DELETE DOCUMENT - [POST /api/v1/requests/{id}/pl_delete_document](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/deletedocument.md): Delete an identification document previously uploaded. ## GET A DOCUMENT - [POST /api/v1/requests/{id}/pl_get_document](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/getdocument.md): Retrieves a request's associated document in Base64 format. ## GET ALL DOCUMENTS - [GET /api/v1/requests/{id}/pl_get_documents](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/getdocuments.md): Retrieves all uploaded documents associated to a request. ## APPROVE REQUEST - [POST /api/v1/requests/{id}/pl_approve](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/approverequest.md): Approval of a request by a RAO. At this moment the RAO will sign the receipt and the contract. ## GET PRE-AUTHENTICATION LINK - [POST /api/v1/requests/{id}/preauthlink](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/preauthentication.md): Get the pre-authenticated link to start the online certificate generation process for a specific request. ## IS RENEWABLE - [POST /api/v1/requests/is_renewable](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/isrenewal.md): Find out about whether a request is renewable or not. ## ENABLE RENEWAL - [POST /api/v1/requests/{id}/enable_renewal](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/enablerequest.md): Activates the renewal option for a certificate ## DISABLE RENEWAL - [POST /api/v1/requests/{id}/disable_renewal](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/disablerquest.md): Deactivates the renewal option for a certificate ## GET RENEWAL STATUS - [GET /api/v1/requests/{id}/renewal_status/](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/renewalrequest.md): Displays information about renewal status of a request ## CHECK CONTACT DATA - [POST /api/v1/requests/check_contact_data_limits/](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/check_contract.md): Checks if the given contact data is already in use. ## OTP FOR RESET/UNLOCK PIN - [POST /api/v1/requests/{id}/generate_otp_for_unlock](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/genereate_otp.md): Sends an OTP code via SMS for PIN reset or unlock. ## RESET/UNLOCK PIN - [POST /api/v1/requests/{id}/unlock_pin](https://docs.namirial.app/products/namirialpkiaas/registration-authority/openapi/requests/unlock_pin.md): Performs the PIN reset or unlock operation